Class UmlClassInstance

Declaration :

- C++ : class UmlClassInstance : public UmlBaseClassInstance
- Java : class UmlClassInstance extends UmlBaseClassInstance

Artifact : UmlClassInstance

Operation UmlClassInstance

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : + UmlClassInstance(in id : item_id, in s : string) :
- C++ : public: UmlClassInstance(void * id, const QCString & s) : UmlBaseClassInstance(id, s)
- Java : public UmlClassInstance(long id, String s)

All public operations : add_Relation , apply , applyStereotype , associatedDiagram , attributesValue , availableAttributes , availableRelations , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , relationsValue , remove_Relation , set_AssociatedDiagram , set_AttributeValue , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , set_Type , stereotype , supportFile , type , unload